module CTdsBackupClamp
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_TdsBackupClamp()
        implicit none
        
        if (data%Configuration%Hoisting%DriveType == TopDrive_DriveType) then
#ifdef OST
            print*, 'Evaluate_TdsBackupClamp=TopDrive'
#endif

            !TOPDRIVE-CODE=79
            if(Get_TdsBackupClamp() == BACKUP_CLAMP_OFF_END .and.&
                data%EquipmentControl%TopDrivePanel%TopDriveTdsPowerState /= TdsPower_OFF .and.&
                data%EquipmentControl%TopDrivePanel%TopDriveTorqueWrench) then
                
                call Set_TdsBackupClamp(BACKUP_CLAMP_FW_BEGIN)
                
            endif
                
            !TOPDRIVE-CODE=80
            if(Get_TdsBackupClamp() /= BACKUP_CLAMP_OFF_END .and.&
                Get_TdsBackupClamp() /= BACKUP_CLAMP_OFF_BEGIN .and.&
                data%EquipmentControl%TopDrivePanel%TopDriveTdsPowerState /= TdsPower_OFF .and.&
                data%EquipmentControl%TopDrivePanel%TopDriveTorqueWrench == .false.) then
                
                call Set_TdsBackupClamp(BACKUP_CLAMP_OFF_BEGIN)
                
            endif    


        endif
        
        
        
        
        
        
        
        
        
        if (data%Configuration%Hoisting%DriveType == Kelly_DriveType) then
#ifdef OST
            print*, 'Evaluate_TdsBackupClamp=Kelly'
#endif
        endif
        
    end subroutine
    
    subroutine Subscribe_TdsBackupClamp()
        use CDrillingConsoleVariables
    use SimulationVariables
    use SimulationVariables
        implicit none
    end subroutine
    
end module CTdsBackupClamp